package classtest;

import java.util.Iterator;
import java.util.ArrayList;
import java.awt.*;
import java.awt.event.*;

public class Store { 
    private String name;
    private ArrayList customers = new ArrayList();
    private ArrayList scustomers = new ArrayList();

    public Store(String name) {
        this.name = name;
    }

    public Store(String name, ArrayList cuss) {
        this.name = name;
        customers.addAll(cuss);
    }

    public void addCustomer(Customer cus) {
        customers.add(cus);
    }

    public void removeCustomer(Customer cus) {
        customers.remove(cus);
    }

    public void printCustomers() {
        Iterator it = customers.iterator();
        while (it.hasNext()) {
            Customer cus = (Customer)it.next();
            System.out.println(cus.getName());
        }
    }

    public void addSpecialCustomer(Customer cus) {
        scustomers.add(cus);
    }

    public void removeSpecialCustomer(Customer cus) {
        scustomers.remove(cus);
    }

    public void printSpecialCustomers() {
        Iterator it = scustomers.iterator();
        while (it.hasNext()) {
            SpecialCustomer cus = (SpecialCustomer)it.next();
            System.out.println(cus.getName());
        }
    }
}

class SpecialCustomer extends Customer implements ActionListener {
    private String introducer;

    public SpecialCustomer(String name, String iname) {
        super(name);
        introducer = iname;
    }

    public String getName() {
        return "*" + getName();
    }

    public String getIntroducer() {
        return introducer;
    }
    
    public void actionPerformed(ActionEvent evt) {
    }
}
