/*
 *     DeleteFieldTransformer.java  Jan 31, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.fields;
import org.jtool.jrbx.refactor.util.*;
import org.jtool.platform.xml.wrapper.*;

public class DeleteFieldTransformer extends RefactoringTransformer {
    private JavaField jfield;

    private DeleteFieldTransformer() {
    }

    public DeleteFieldTransformer(JavaField jfield) {
        this.jfield = jfield;
    }

    public void run() {
        delete(jfield);
    }
}
