/*
 *     FakeJavaClass.java  Aug 4, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.util;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.JavaClass;

public class FakeJavaClass extends JavaClass {
    private String originalName;

    private FakeJavaClass() {
    }

    public FakeJavaClass(JavaClass jclass) {
        super(jclass.getElem());
        originalName = getName();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOriginalName() {
        return originalName;
    }
}
