/*
 *     JavaField.java  Aug 4, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.util;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.JavaField;

public class FakeJavaField extends JavaField {
    private String originalName;

    private FakeJavaField() {
    }

    public FakeJavaField(JavaField jfield) {
        super(jfield.getElem());
        originalName = getName();
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOriginalName() {
        return originalName;
    }
}
