/*
 *     HighlightToken.java  Feb 20, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.util;
import java.awt.Color;

public class HighlightToken {
    private int begin;
    private int end;
    private Color color;

    public HighlightToken(int begin, int end, Color color) {
        this.begin = begin;
        this.end = end;
        this.color = color;

        // System.out.println("Highlight = [" + begin + "-" + end + "]");
    }

    public int getBegin() {
        return begin;
    }

    public int getEnd() {
        return end;
    }

    public Color getColor() {
        return color;
    }
}
