package fieldtest;

public class Movie {
    public static final int CHILDRENS = 2;
    public static final int REGULAR = 0;
    public static final int NEW_RELEASE = 1;

    public String _title;
    public int _priceCode;
    private String _creator;
    private int id;

    public Movie(String title, int priceCode, int id) {
        _title = title;
        _priceCode = priceCode;
        this.id = id;
    }

    public int getPriceCode() {
        return _priceCode;
    }

    public void setPriceCode(int arg) {
        _priceCode = arg;
    }

    public String getTitle() {
        return _title;
    }

    public void setCreator(String creator) {
        _creator = creator;
    }	

    public String getCreator() {
        return _creator;
    }

    public String getInformation() {
        id = id * 2 + id;  // for testing
        id++;              // for testing
        ++id;              // for testing
        if (id == 0) { }   // for testing

        return String.valueOf(id) + _title + String.valueOf(_priceCode);
    }

    protected String dummay1, language, dummay2;
}

class DubbedMovie extends Movie {
    private String dummay3, toLanguage, dummay4;

    public DubbedMovie(String title, int priceCode, int id) {
        super(title, priceCode, id);
    }

    public void setFromLanguage(String lang) {
        language = lang;
    }

    public void setToLanguage(String lang) {
        toLanguage = lang;
    }

    public String getTitle() {
        return _title + "[" + language + "/" + toLanguage + "]";
    }
}
