/*
 *     RefactoringCommand.java  Apr 18, 2005
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor;
import org.jtool.jrbx.refactor.util.CodeSelection;
import org.jtool.jrbx.gui.Refactor;
import org.w3c.dom.*;
import java.util.*;

public interface RefactoringCommand {
    public void setSource(Document doc, CodeSelection selection);
    public void setRefactor(Refactor refactor);

    public ArrayList getChangedXMLTexts();
    public String getRefactoringLog();
    public String getUndoInformation();

    public void execute();
}
