/*
 *     RefactoringException.java  Aug 8, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor;
import java.util.*;

public class RefactoringException extends Exception {
    ArrayList messages = new ArrayList();

    public RefactoringException() {
        super();
    }

    public RefactoringException(String mesg) {
        super();
        addMessage(mesg);
    }

    public void addMessage(String mesg) {
        messages.add(mesg);
    }

    public String getMessage() {
        StringBuffer buf = new StringBuffer();

        Iterator it = messages.iterator();
        while (it.hasNext()) {
            String mesg = (String)it.next();
            buf.append(mesg + ".\n");
        }
        if (buf.length() > 0) {
            return buf.substring(0, buf.length() - 1);
        }
        return buf.toString();
    }
}
