/*
 *     DeleteClassTransformer.java  Jan 31, 2004
 *
 *     Katsuhisa Maruyama (maru@fse.cs.ritsumei.ac.jp)
 */

package org.jtool.jrbx.refactor.classes;
import org.jtool.jrbx.refactor.util.*;
import org.jtool.platform.xml.wrapper.*;

public class DeleteClassTransformer extends RefactoringTransformer {
    private JavaClass jclass;

    private DeleteClassTransformer() {
    }

    public DeleteClassTransformer(JavaClass jclass) {
        this.jclass = jclass;
    }

    public void changeSrc() {
        delete(jclass);
    }
}
