/*
 *     MessageDialog.java  Aug 15, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.dialog;
import org.jtool.jrbx.refactor.util.*;
import javax.swing.*;
import javax.swing.text.*;
import javax.swing.border.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class MessageDialog {
    private JFrame frame;

    public MessageDialog(JFrame frame) {
        this.frame = frame;
    }

    public void show(String mesg) {
        JOptionPane.showMessageDialog(frame, mesg);
    }

    public static MessageDialog show(JFrame frame, String mesg) {
        MessageDialog dialog = new MessageDialog(frame);
        dialog.show(mesg);
        return dialog;
    }
}
