/*
 *     RenameDialogNoReference.java  Aug 4, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.dialog;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class RenameDialogNoReference extends ReplaceDialog {
    private JCheckBox checkBox;

    public RenameDialogNoReference(JFrame frame, String title, String oldName) {
        super(frame, title, oldName);
    }

    public static RenameDialogNoReference show(JFrame frame, String title, String oldName) {
        return new RenameDialogNoReference(frame, title, oldName);
    }

    public static void main(String args[]) {
        if (args.length == 1) {
            JFrame mainFrame = new JFrame();
            mainFrame.setSize(100, 100);
            mainFrame.setVisible(true);

            RenameDialogNoReference dialog = RenameDialogNoReference.show(mainFrame, "Rename", args[0]);
            String name = dialog.getNewName();

            System.out.println("NAME = " + name);
            System.exit(0);
        }
        System.out.println("java RenameDialogNoReference old_name");
    }
}
