/*
 *     DeleteMethodTransformer.java  Jan 31, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.methods;
import org.jtool.jrbx.refactor.util.*;
import org.jtool.platform.xml.wrapper.*;

public class DeleteMethodTransformer extends RefactoringTransformer {
    private JavaMethod jmethod;

    private DeleteMethodTransformer() {
    }

    public DeleteMethodTransformer(JavaMethod jmethod) {
        this.jmethod = jmethod;
    }

    public void changeSrc() {
        delete(jmethod);
    }
}
