/*
 *     FakeJavaMethod.java  Aug 4, 2004
 *
 *     Katsuhisa Maruyama (maru@jtool.org)
 */

package org.jtool.jrbx.refactor.util;
import org.jtool.platform.xml.JXConstants;
import org.jtool.platform.xml.wrapper.JavaMethod;

public class FakeJavaMethod extends JavaMethod {
    private String originalName;

    private FakeJavaMethod() {
    }

    public FakeJavaMethod(JavaMethod jmethod) {
        super(jmethod.getElem());
        originalName = getName();
    }        

    public void setName(String name) {
        this.name = name;
    }

    public String getOriginalName() {
        return originalName;
    }
}
